View Issue Details

IDProjectCategoryView StatusLast Update
0021901LazarusIDEpublic2012-09-14 00:40
ReporterCyraxAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.0.0Fixed in Version1.1 (SVN) 
Summary0021901: When debugging certain projects, IDE shows error dialog with message : "Unknown Run-Time error : 210".
DescriptionOS: Windows Server 2008 R2.

32-bit Free Pascal trunk 2.7.1-r21128, 32-bit Lazarus trunk 1.1-r37102.

See attached files for more info.
TagsNo tags attached.
Fixed in Revision37116
LazTarget1.0
Widgetset
Attached Files
  • lazarus-internal-debug-log-30.04.2012-22.05.56.801000-00000003.txt (21,248 bytes)
    SetPrimaryConfigPath NewValue="..\\lazconf-x32-PROG" -> "H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\\lazconf-x32-PROG"
    TMainIDE.ParseCmdLineOptions:
      PrimaryConfigPath="H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\\lazconf-x32-PROG\"
      SecondaryConfigPath="H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\trunk_x32"
    TMainIDE.DoNewProject A
    TMainIDE.DoLoadLFM Creating designer for hidden component of Z:\kielet\pascal\lazarus\source 20\data handler 2\frame_virtualtree\frame_virtualtree.pas
    TMainIDE.DoOpenProjectFile select form in designer: _Designer_FrameVirtualTree:TFrameDesignerForm TDesigner
    [TMainIDE.DoRunProject] A
    TMainIDE.DoInitProjectRun A True 0
    TMainIDE.DoInitProjectRun B
    TMainIDE.DoInitProjectRun ProgramFilename=Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe
    [TCmdLineDebugger] Debug PID: 596
    [Debugger] Log output: &"set width 50000\n"
    [Debugger] Running GDB version: GDB
    [TDebugger.SetFileName] "Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe"
    [TMainIDE.DoRunProject] B TGDBMIDebugger
    [TMainIDE.DoRunProject] END
    TGDBMIDebugger.StartDebugging WorkingDir="Z:\kielet\pascal\lazarus\source 20\data handler 2\"
    [Debugger] Log output: &"ptype TObject\n"
    [Debugger] Log output: &"ptype Exception\n"
    [Debugger] Log output: &"ptype Shortstring\n"
    [Debugger] Log output: &"ptype pointer\n"
    [Debugger] Log output: &"ptype byte\n"
    [Debugger] Log output: &"info file\n"
    [Debugger] File type: pei-i386
    [Debugger] Entry point: 0x6ac560
    [Debugger] Log output: &"Function \"foo\" not defined.\n"
    [Debugger] Log output: &"Error in re-setting breakpoint 2: No line 0 in file \"data_handler.lpr\".\n"
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="2",type="breakpoint",disp="keep",enabled="n",addr="<PENDING>",pending="data_handler.lpr:+0",times="0",original-location="data_handler.lpr:+0"}
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x006ac560",func="_FPC_WINMAINCRTSTARTUP",file="sysinitpas.pp",fullname="H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/fpc/trunk/trunk_svn_exported/rtl/win32/sysinitpas.pp",line="43",times="1",original-location="*6997344"}
    [Debugger] Log output: &"info program\n"
    [Debugger] Target PID: 3152
    [Debugger] Log output: &"info address FPC_RAISEEXCEPTION\n"
    [Debugger] Log output: &"info address FPC_BREAK_ERROR\n"
    [Debugger] Log output: &"info address FPC_RUNERROR\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="-symbol-list-lines: Usage: SOURCE_FILENAME"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":316\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":98\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":284\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\utils\\utils.pas\":95\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":473\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":189\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":250\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":277\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":296\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":572\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":589\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":617\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":528\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":652\n"
    [Debugger] Console output: ~"[New Thread 3152.0x58c]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [Debugger] Console output: ~"[New Thread 3152.0x420]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [Debugger] Console output: ~"[New Thread 3152.0xc48]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="35",type="breakpoint",disp="keep",enabled="y",addr="0x0042ec44",func="TFRAMEVIRTUALTREE__DESTROY",file="./frame_virtualtree/frame_virtualtree.pas",fullname="Z:/kielet/pascal/lazarus/source 20/data handler 2/frame_virtualtree/frame_virtualtree.pas",line="652",times="1",original-location="frame_virtualtree.pas:652"}
    [Debugger] Log output: &"ptype FInitCount\n"
    [Debugger] Log output: &"whatis FInitCount\n"
    [Debugger] Log output: &"ptype FrameClass\n"
    [Debugger] Log output: &"No symbol \"FrameClass\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FrameClass\" in current context."
    ERROR: detected state loop in ProcessExpression
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"parentfp\" in current context."
    [Debugger] Log output: &"ptype FAllHandlesInitialized\n"
    [Debugger] Log output: &"No symbol \"FAllHandlesInitialized\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FAllHandlesInitialized\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataSize\n"
    [Debugger] Log output: &"No symbol \"DataSize\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype Str\n"
    [Debugger] Log output: &"No symbol \"Str\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"Str\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype URLStr\n"
    [Debugger] Log output: &"No symbol \"URLStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"URLStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FullStr\n"
    [Debugger] Log output: &"No symbol \"FullStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FullStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype CharPos\n"
    [Debugger] Log output: &"No symbol \"CharPos\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CharPos\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FileNameStr\n"
    [Debugger] Log output: &"No symbol \"FileNameStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FileNameStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype MimeStr\n"
    [Debugger] Log output: &"No symbol \"MimeStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"MimeStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataSize2\n"
    [Debugger] Log output: &"No symbol \"DataSize2\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize2\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FirstURL\n"
    [Debugger] Log output: &"No symbol \"FirstURL\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FirstURL\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype IntSaved\n"
    [Debugger] Log output: &"No symbol \"IntSaved\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"IntSaved\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataToRead\n"
    [Debugger] Log output: &"No symbol \"DataToRead\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataToRead\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataRead\n"
    [Debugger] Log output: &"No symbol \"DataRead\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataRead\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype StartStream\n"
    [Debugger] Log output: &"No symbol \"StartStream\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"StartStream\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype EndStream\n"
    [Debugger] Log output: &"No symbol \"EndStream\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"EndStream\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype CurrentPosStream\n"
    [TMainIDE.DoRunProject] A
    [TMainIDE.DoRunProject] B TGDBMIDebugger
    [TMainIDE.DoRunProject] END
    [Debugger] Log output: &"No symbol \"CurrentPosStream\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CurrentPosStream\" in current context."
    ERROR: detected state loop in ProcessExpression
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    TGDBMIDebugger.ProcessResult Error: ,msg="No registers."
    TApplication.HandleException Unknown Run-Time error : 210
      Stack trace:
      $00837995  TSNAPSHOTMANAGER__DODEBUGGERIDLE,  line 4108 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
      $00829F29  TDEBUGMANAGER__DEBUGGERIDLE,  line 705 of debugmanager.pas
      $00C45F24  TGDBMIDEBUGGER__RUNQUEUE,  line 6574 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $00C46424  TGDBMIDEBUGGER__QUEUECOMMAND,  line 6649 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $00C49594  TGDBMIDEBUGGER__STARTDEBUGGING,  line 7559 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $00C494AF  TGDBMIDEBUGGER__STARTDEBUGGING,  line 7543 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $00C470B8  TGDBMIDEBUGGER__GDBRUN,  line 6904 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $00C486EC  TGDBMIDEBUGGER__REQUESTCOMMAND,  line 7322 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
      $0084049C  TDEBUGGER__REQCMD,  line 6350 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
      $0084097B  TDEBUGGER__RUN,  line 6364 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
      $00831C84  TDEBUGMANAGER__RUNDEBUGGER,  line 2451 of debugmanager.pas
      $0082A54B  TDEBUGMANAGER__ONRUNTIMER,  line 795 of debugmanager.pas
      $006374A3  TCUSTOMTIMER__DOONTIMER,  line 181 of customtimer.pas
      $006373EE  TCUSTOMTIMER__TIMER,  line 156 of customtimer.pas
      $00583199  TIMERCALLBACKPROC,  line 2743 of ./win32/win32callback.inc
      $752862FA
      $75287B16
    [TMainIDE.DoRunProject] A
    TMainIDE.DoInitProjectRun A True 0
    TMainIDE.DoInitProjectRun B
    TMainIDE.DoInitProjectRun ProgramFilename=Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe
    [TCmdLineDebugger] Debug PID: 604
    [Debugger] Log output: &"set width 50000\n"
    [Debugger] Running GDB version: GDB
    [TDebugger.SetFileName] "Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe"
    [TMainIDE.DoRunProject] B TGDBMIDebugger
    [TMainIDE.DoRunProject] END
    TGDBMIDebugger.StartDebugging WorkingDir="Z:\kielet\pascal\lazarus\source 20\data handler 2\"
    [Debugger] Log output: &"ptype TObject\n"
    [Debugger] Log output: &"ptype Exception\n"
    [Debugger] Log output: &"ptype Shortstring\n"
    [Debugger] Log output: &"ptype pointer\n"
    [Debugger] Log output: &"ptype byte\n"
    [Debugger] Log output: &"info file\n"
    [Debugger] File type: pei-i386
    [Debugger] Entry point: 0x6ac560
    [Debugger] Log output: &"Function \"foo\" not defined.\n"
    [Debugger] Log output: &"Error in re-setting breakpoint 2: No line 0 in file \"data_handler.lpr\".\n"
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="2",type="breakpoint",disp="keep",enabled="n",addr="<PENDING>",pending="data_handler.lpr:+0",times="0",original-location="data_handler.lpr:+0"}
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x006ac560",func="_FPC_WINMAINCRTSTARTUP",file="sysinitpas.pp",fullname="H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/fpc/trunk/trunk_svn_exported/rtl/win32/sysinitpas.pp",line="43",times="1",original-location="*6997344"}
    [Debugger] Log output: &"info program\n"
    [Debugger] Target PID: 3788
    [Debugger] Log output: &"info address FPC_RAISEEXCEPTION\n"
    [Debugger] Log output: &"info address FPC_BREAK_ERROR\n"
    [Debugger] Log output: &"info address FPC_RUNERROR\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="-symbol-list-lines: Usage: SOURCE_FILENAME"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":316\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":98\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":284\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\utils\\utils.pas\":95\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":473\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":189\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":250\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":277\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":296\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":572\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":589\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":617\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":528\n"
    [Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":652\n"
    [Debugger] Console output: ~"[New Thread 3788.0x904]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [Debugger] Console output: ~"[New Thread 3788.0xce8]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [Debugger] Console output: ~"[New Thread 3788.0xae4]\n"
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    [WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="35",type="breakpoint",disp="keep",enabled="y",addr="0x0042ec44",func="TFRAMEVIRTUALTREE__DESTROY",file="./frame_virtualtree/frame_virtualtree.pas",fullname="Z:/kielet/pascal/lazarus/source 20/data handler 2/frame_virtualtree/frame_virtualtree.pas",line="652",times="1",original-location="frame_virtualtree.pas:652"}
    [Debugger] Log output: &"ptype FInitCount\n"
    [Debugger] Log output: &"whatis FInitCount\n"
    [Debugger] Log output: &"ptype FrameClass\n"
    [Debugger] Log output: &"No symbol \"FrameClass\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FrameClass\" in current context."
    ERROR: detected state loop in ProcessExpression
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"parentfp\" in current context."
    [Debugger] Log output: &"ptype FAllHandlesInitialized\n"
    [Debugger] Log output: &"No symbol \"FAllHandlesInitialized\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FAllHandlesInitialized\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataSize\n"
    [Debugger] Log output: &"No symbol \"DataSize\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype Str\n"
    [Debugger] Log output: &"No symbol \"Str\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"Str\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype URLStr\n"
    [Debugger] Log output: &"No symbol \"URLStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"URLStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FullStr\n"
    [Debugger] Log output: &"No symbol \"FullStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FullStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype CharPos\n"
    [Debugger] Log output: &"No symbol \"CharPos\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CharPos\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FileNameStr\n"
    [Debugger] Log output: &"No symbol \"FileNameStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FileNameStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype MimeStr\n"
    [Debugger] Log output: &"No symbol \"MimeStr\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"MimeStr\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataSize2\n"
    [Debugger] Log output: &"No symbol \"DataSize2\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize2\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype FirstURL\n"
    [Debugger] Log output: &"No symbol \"FirstURL\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FirstURL\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype IntSaved\n"
    [Debugger] Log output: &"No symbol \"IntSaved\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"IntSaved\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataToRead\n"
    [Debugger] Log output: &"No symbol \"DataToRead\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataToRead\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype DataRead\n"
    [Debugger] Log output: &"No symbol \"DataRead\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataRead\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype StartStream\n"
    [Debugger] Log output: &"No symbol \"StartStream\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"StartStream\" in current context."
    ERROR: detected state loop in ProcessExpression
    [Debugger] Log output: &"ptype EndStream\n"
    [TMainIDE.DoRunProject] A
    [TMainIDE.DoRunProject] B TGDBMIDebugger
    [TMainIDE.DoRunProject] END
    [Debugger] Log output: &"No symbol \"EndStream\" in current context.\n"
    TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"EndStream\" in current context."
    ERROR: detected state loop in ProcessExpression
    [DBGTGT] *
    [DBGTGT] running,thread-id="all"
    TGDBMIDebugger.ProcessResult Error: ,msg="No registers."
    TApplication.HandleException Unknown Run-Time error : 210
      Stack trace:
      $00837995
      $0
  • lazarus-debug-30.04.2012-22.05.56.801000-00000003.txt (5,129 bytes)
    GNU gdb (GDB) 7.4
    Copyright (C) 2012 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i686-pc-mingw32".
    For bug reporting instructions, please see:
    <http://www.gnu.org/software/gdb/bugs/>.
    This binary was built by Equation Solution <http://www.Equation.com>.
    Starting program: H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\trunk_x32/lazarus.exe --debug-log=.\\lazarus-internal-debug-log-30.04.2012-22.05.56.801000-00000003.txt --primary-config-path=..\\lazconf-x32-PROG --no-splash-screen
    [New Thread 4080.0xe3c]
    [New Thread 4080.0xa70]
    [New Thread 4080.0xd44]
    [New Thread 4080.0x5f8]
    
    Program received signal SIGSEGV, Segmentation fault.
    0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
        this=<error reading variable>) at ./include/menuitem.inc:1063
    1063	  if FChecked <> AValue then
    #0  0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
        this=<error reading variable>) at ./include/menuitem.inc:1063
    #1  0x004a0c72 in TMAINIDEBASE__UPDATEWINDOWMENU (IMMEDIATELY=true, 
        this=<error reading variable>) at mainbase.pas:1130
    #2  0x0049062d in TMAINIDE__ONSCREENCHANGEDFORM (SENDER=0x1eeaa8, 
        FORM=0xe4e6578, this=<error reading variable>) at main.pp:17622
    #3  0x00439bff in TSCREEN__NOTIFYSCREENFORMHANDLER (
        HANDLERTYPE=SNACTIVEFORMCHANGED, FORM=0xe4e6578, 
        this=<error reading variable>) at ./include/screen.inc:1063
    #4  0x00439834 in NOTIFYONACTIVEFORMCHANGED (parentfp=0xb68e898)
        at ./include/screen.inc:961
    #5  0x004396f0 in TSCREEN__UPDATELASTACTIVE (this=<error reading variable>)
        at ./include/screen.inc:982
    #6  0x00434ee8 in TCUSTOMFORM__SETFOCUSEDCONTROL (CONTROL=0x101b6fd0, 
        this=<error reading variable>) at ./include/customform.inc:2425
    #7  0x005d08ae in TWINCONTROL__WNDPROC (MESSAGE=..., 
        this=<error reading variable>) at ./include/wincontrol.inc:5217
    #8  0x00a55a46 in TCUSTOMSYNEDIT__WNDPROC (MSG=..., 
        this=<error reading variable>) at synedit.pp:5500
    #9  0x00659236 in DELIVERMESSAGE (TARGET=0x101b6fd0, AMESSAGE=void)
        at lclmessageglue.pas:117
    #10 0x00580cc3 in WINDOWPROC (WINDOW=9439344, MSG=7, WPARAM=7604666, LPARAM=0)
        at ./win32/win32callback.inc:2428
    #11 0x752862fa in USER32!OffsetRect () from C:\windows\syswow64\user32.dll
    #12 0x00900870 in TEDITORCOLOROPTIONSFRAME__GENERALCHECKBOXONCHANGE (
        SENDER=0x57deb0, this=<error reading variable>)
        at ./frames/editor_color_options.pas:663
    #13 0x75286d3a in USER32!IsWindow () from C:\windows\syswow64\user32.dll
    #14 0x0057deb0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
        at ./win32/win32callback.inc:222
    #15 0x75286de8 in USER32!IsWindow () from C:\windows\syswow64\user32.dll
    #16 0x00000000 in ?? ()
    Continuing.
    
    Program received signal SIGSEGV, Segmentation fault.
    0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
        this=<error reading variable>) at ./include/menuitem.inc:1063
    1063	  if FChecked <> AValue then
    #0  0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
        this=<error reading variable>) at ./include/menuitem.inc:1063
    #1  0x004a0c72 in TMAINIDEBASE__UPDATEWINDOWMENU (IMMEDIATELY=true, 
        this=<error reading variable>) at mainbase.pas:1130
    #2  0x0049062d in TMAINIDE__ONSCREENCHANGEDFORM (SENDER=0x1eeaa8, 
        FORM=0xe4e6578, this=<error reading variable>) at main.pp:17622
    #3  0x00439bff in TSCREEN__NOTIFYSCREENFORMHANDLER (
        HANDLERTYPE=SNACTIVEFORMCHANGED, FORM=0xe4e6578, 
        this=<error reading variable>) at ./include/screen.inc:1063
    #4  0x00439834 in NOTIFYONACTIVEFORMCHANGED (parentfp=0xb68e898)
        at ./include/screen.inc:961
    #5  0x004396f0 in TSCREEN__UPDATELASTACTIVE (this=<error reading variable>)
        at ./include/screen.inc:982
    #6  0x00434ee8 in TCUSTOMFORM__SETFOCUSEDCONTROL (CONTROL=0x101b6fd0, 
        this=<error reading variable>) at ./include/customform.inc:2425
    #7  0x005d08ae in TWINCONTROL__WNDPROC (MESSAGE=..., 
        this=<error reading variable>) at ./include/wincontrol.inc:5217
    #8  0x00a55a46 in TCUSTOMSYNEDIT__WNDPROC (MSG=..., 
        this=<error reading variable>) at synedit.pp:5500
    #9  0x00659236 in DELIVERMESSAGE (TARGET=0x101b6fd0, AMESSAGE=void)
        at lclmessageglue.pas:117
    #10 0x00580cc3 in WINDOWPROC (WINDOW=9439344, MSG=7, WPARAM=7604666, LPARAM=0)
        at ./win32/win32callback.inc:2428
    #11 0x752862fa in USER32!OffsetRect () from C:\windows\syswow64\user32.dll
    #12 0x00900870 in TEDITORCOLOROPTIONSFRAME__GENERALCHECKBOXONCHANGE (
        SENDER=0x57deb0, this=<error reading variable>)
        at ./frames/editor_color_options.pas:663
    #13 0x75286d3a in USER32!IsWindow () from C:\windows\syswow64\user32.dll
    #14 0x0057deb0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
        at ./win32/win32callback.inc:222
    #15 0x75286de8 in USER32!IsWindow () from C:\windows\syswow64\user32.dll
    #16 0x00000000 in ?? ()
    Kill the program being debugged? (y or n) 

Activities

2012-04-30 21:20

 

lazarus-internal-debug-log-30.04.2012-22.05.56.801000-00000003.txt (21,248 bytes)
SetPrimaryConfigPath NewValue="..\\lazconf-x32-PROG" -> "H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\\lazconf-x32-PROG"
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\\lazconf-x32-PROG\"
  SecondaryConfigPath="H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\trunk_x32"
TMainIDE.DoNewProject A
TMainIDE.DoLoadLFM Creating designer for hidden component of Z:\kielet\pascal\lazarus\source 20\data handler 2\frame_virtualtree\frame_virtualtree.pas
TMainIDE.DoOpenProjectFile select form in designer: _Designer_FrameVirtualTree:TFrameDesignerForm TDesigner
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TMainIDE.DoInitProjectRun ProgramFilename=Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe
[TCmdLineDebugger] Debug PID: 596
[Debugger] Log output: &"set width 50000\n"
[Debugger] Running GDB version: GDB
[TDebugger.SetFileName] "Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe"
[TMainIDE.DoRunProject] B TGDBMIDebugger
[TMainIDE.DoRunProject] END
TGDBMIDebugger.StartDebugging WorkingDir="Z:\kielet\pascal\lazarus\source 20\data handler 2\"
[Debugger] Log output: &"ptype TObject\n"
[Debugger] Log output: &"ptype Exception\n"
[Debugger] Log output: &"ptype Shortstring\n"
[Debugger] Log output: &"ptype pointer\n"
[Debugger] Log output: &"ptype byte\n"
[Debugger] Log output: &"info file\n"
[Debugger] File type: pei-i386
[Debugger] Entry point: 0x6ac560
[Debugger] Log output: &"Function \"foo\" not defined.\n"
[Debugger] Log output: &"Error in re-setting breakpoint 2: No line 0 in file \"data_handler.lpr\".\n"
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="2",type="breakpoint",disp="keep",enabled="n",addr="<PENDING>",pending="data_handler.lpr:+0",times="0",original-location="data_handler.lpr:+0"}
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x006ac560",func="_FPC_WINMAINCRTSTARTUP",file="sysinitpas.pp",fullname="H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/fpc/trunk/trunk_svn_exported/rtl/win32/sysinitpas.pp",line="43",times="1",original-location="*6997344"}
[Debugger] Log output: &"info program\n"
[Debugger] Target PID: 3152
[Debugger] Log output: &"info address FPC_RAISEEXCEPTION\n"
[Debugger] Log output: &"info address FPC_BREAK_ERROR\n"
[Debugger] Log output: &"info address FPC_RUNERROR\n"
TGDBMIDebugger.ProcessResult Error: ,msg="-symbol-list-lines: Usage: SOURCE_FILENAME"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":316\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":98\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":284\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\utils\\utils.pas\":95\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":473\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":189\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":250\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":277\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":296\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":572\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":589\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":617\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":528\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":652\n"
[Debugger] Console output: ~"[New Thread 3152.0x58c]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[Debugger] Console output: ~"[New Thread 3152.0x420]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[Debugger] Console output: ~"[New Thread 3152.0xc48]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="35",type="breakpoint",disp="keep",enabled="y",addr="0x0042ec44",func="TFRAMEVIRTUALTREE__DESTROY",file="./frame_virtualtree/frame_virtualtree.pas",fullname="Z:/kielet/pascal/lazarus/source 20/data handler 2/frame_virtualtree/frame_virtualtree.pas",line="652",times="1",original-location="frame_virtualtree.pas:652"}
[Debugger] Log output: &"ptype FInitCount\n"
[Debugger] Log output: &"whatis FInitCount\n"
[Debugger] Log output: &"ptype FrameClass\n"
[Debugger] Log output: &"No symbol \"FrameClass\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FrameClass\" in current context."
ERROR: detected state loop in ProcessExpression
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"parentfp\" in current context."
[Debugger] Log output: &"ptype FAllHandlesInitialized\n"
[Debugger] Log output: &"No symbol \"FAllHandlesInitialized\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FAllHandlesInitialized\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataSize\n"
[Debugger] Log output: &"No symbol \"DataSize\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype Str\n"
[Debugger] Log output: &"No symbol \"Str\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"Str\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype URLStr\n"
[Debugger] Log output: &"No symbol \"URLStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"URLStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FullStr\n"
[Debugger] Log output: &"No symbol \"FullStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FullStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype CharPos\n"
[Debugger] Log output: &"No symbol \"CharPos\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CharPos\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FileNameStr\n"
[Debugger] Log output: &"No symbol \"FileNameStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FileNameStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype MimeStr\n"
[Debugger] Log output: &"No symbol \"MimeStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"MimeStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataSize2\n"
[Debugger] Log output: &"No symbol \"DataSize2\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize2\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FirstURL\n"
[Debugger] Log output: &"No symbol \"FirstURL\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FirstURL\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype IntSaved\n"
[Debugger] Log output: &"No symbol \"IntSaved\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"IntSaved\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataToRead\n"
[Debugger] Log output: &"No symbol \"DataToRead\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataToRead\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataRead\n"
[Debugger] Log output: &"No symbol \"DataRead\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataRead\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype StartStream\n"
[Debugger] Log output: &"No symbol \"StartStream\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"StartStream\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype EndStream\n"
[Debugger] Log output: &"No symbol \"EndStream\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"EndStream\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype CurrentPosStream\n"
[TMainIDE.DoRunProject] A
[TMainIDE.DoRunProject] B TGDBMIDebugger
[TMainIDE.DoRunProject] END
[Debugger] Log output: &"No symbol \"CurrentPosStream\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CurrentPosStream\" in current context."
ERROR: detected state loop in ProcessExpression
[DBGTGT] *
[DBGTGT] running,thread-id="all"
TGDBMIDebugger.ProcessResult Error: ,msg="No registers."
TApplication.HandleException Unknown Run-Time error : 210
  Stack trace:
  $00837995  TSNAPSHOTMANAGER__DODEBUGGERIDLE,  line 4108 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
  $00829F29  TDEBUGMANAGER__DEBUGGERIDLE,  line 705 of debugmanager.pas
  $00C45F24  TGDBMIDEBUGGER__RUNQUEUE,  line 6574 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $00C46424  TGDBMIDEBUGGER__QUEUECOMMAND,  line 6649 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $00C49594  TGDBMIDEBUGGER__STARTDEBUGGING,  line 7559 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $00C494AF  TGDBMIDEBUGGER__STARTDEBUGGING,  line 7543 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $00C470B8  TGDBMIDEBUGGER__GDBRUN,  line 6904 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $00C486EC  TGDBMIDEBUGGER__REQUESTCOMMAND,  line 7322 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/gdbmidebugger.pp
  $0084049C  TDEBUGGER__REQCMD,  line 6350 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
  $0084097B  TDEBUGGER__RUN,  line 6364 of H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/lazarus/trunk/build/trunk_x32/debugger/debugger.pp
  $00831C84  TDEBUGMANAGER__RUNDEBUGGER,  line 2451 of debugmanager.pas
  $0082A54B  TDEBUGMANAGER__ONRUNTIMER,  line 795 of debugmanager.pas
  $006374A3  TCUSTOMTIMER__DOONTIMER,  line 181 of customtimer.pas
  $006373EE  TCUSTOMTIMER__TIMER,  line 156 of customtimer.pas
  $00583199  TIMERCALLBACKPROC,  line 2743 of ./win32/win32callback.inc
  $752862FA
  $75287B16
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TMainIDE.DoInitProjectRun ProgramFilename=Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe
[TCmdLineDebugger] Debug PID: 604
[Debugger] Log output: &"set width 50000\n"
[Debugger] Running GDB version: GDB
[TDebugger.SetFileName] "Z:\kielet\pascal\lazarus\source 20\data handler 2\data_handler.exe"
[TMainIDE.DoRunProject] B TGDBMIDebugger
[TMainIDE.DoRunProject] END
TGDBMIDebugger.StartDebugging WorkingDir="Z:\kielet\pascal\lazarus\source 20\data handler 2\"
[Debugger] Log output: &"ptype TObject\n"
[Debugger] Log output: &"ptype Exception\n"
[Debugger] Log output: &"ptype Shortstring\n"
[Debugger] Log output: &"ptype pointer\n"
[Debugger] Log output: &"ptype byte\n"
[Debugger] Log output: &"info file\n"
[Debugger] File type: pei-i386
[Debugger] Entry point: 0x6ac560
[Debugger] Log output: &"Function \"foo\" not defined.\n"
[Debugger] Log output: &"Error in re-setting breakpoint 2: No line 0 in file \"data_handler.lpr\".\n"
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="2",type="breakpoint",disp="keep",enabled="n",addr="<PENDING>",pending="data_handler.lpr:+0",times="0",original-location="data_handler.lpr:+0"}
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x006ac560",func="_FPC_WINMAINCRTSTARTUP",file="sysinitpas.pp",fullname="H:/new_free_pascal_and_lazarus/free_pascal_and_lazarus/fpc/trunk/trunk_svn_exported/rtl/win32/sysinitpas.pp",line="43",times="1",original-location="*6997344"}
[Debugger] Log output: &"info program\n"
[Debugger] Target PID: 3788
[Debugger] Log output: &"info address FPC_RAISEEXCEPTION\n"
[Debugger] Log output: &"info address FPC_BREAK_ERROR\n"
[Debugger] Log output: &"info address FPC_RUNERROR\n"
TGDBMIDebugger.ProcessResult Error: ,msg="-symbol-list-lines: Usage: SOURCE_FILENAME"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":316\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":98\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium.pas\":284\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\utils\\utils.pas\":95\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\frame_chromium_viewer.pas\":473\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":189\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":250\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":277\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":296\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":572\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":589\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_chromium\\chromium_cache.pas\":617\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":528\n"
[Debugger] Log output: &"info line \"Z:\\kielet\\pascal\\lazarus\\source 20\\data handler 2\\frame_virtualtree\\frame_virtualtree.pas\":652\n"
[Debugger] Console output: ~"[New Thread 3788.0x904]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[Debugger] Console output: ~"[New Thread 3788.0xce8]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[Debugger] Console output: ~"[New Thread 3788.0xae4]\n"
[DBGTGT] *
[DBGTGT] running,thread-id="all"
[WARNING] Debugger: Unexpected async-record: =breakpoint-modified,bkpt={number="35",type="breakpoint",disp="keep",enabled="y",addr="0x0042ec44",func="TFRAMEVIRTUALTREE__DESTROY",file="./frame_virtualtree/frame_virtualtree.pas",fullname="Z:/kielet/pascal/lazarus/source 20/data handler 2/frame_virtualtree/frame_virtualtree.pas",line="652",times="1",original-location="frame_virtualtree.pas:652"}
[Debugger] Log output: &"ptype FInitCount\n"
[Debugger] Log output: &"whatis FInitCount\n"
[Debugger] Log output: &"ptype FrameClass\n"
[Debugger] Log output: &"No symbol \"FrameClass\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FrameClass\" in current context."
ERROR: detected state loop in ProcessExpression
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"parentfp\" in current context."
[Debugger] Log output: &"ptype FAllHandlesInitialized\n"
[Debugger] Log output: &"No symbol \"FAllHandlesInitialized\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FAllHandlesInitialized\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataSize\n"
[Debugger] Log output: &"No symbol \"DataSize\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype Str\n"
[Debugger] Log output: &"No symbol \"Str\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"Str\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype URLStr\n"
[Debugger] Log output: &"No symbol \"URLStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"URLStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FullStr\n"
[Debugger] Log output: &"No symbol \"FullStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FullStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype CharPos\n"
[Debugger] Log output: &"No symbol \"CharPos\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"CharPos\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FileNameStr\n"
[Debugger] Log output: &"No symbol \"FileNameStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FileNameStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype MimeStr\n"
[Debugger] Log output: &"No symbol \"MimeStr\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"MimeStr\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataSize2\n"
[Debugger] Log output: &"No symbol \"DataSize2\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataSize2\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype FirstURL\n"
[Debugger] Log output: &"No symbol \"FirstURL\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"FirstURL\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype IntSaved\n"
[Debugger] Log output: &"No symbol \"IntSaved\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"IntSaved\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataToRead\n"
[Debugger] Log output: &"No symbol \"DataToRead\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataToRead\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype DataRead\n"
[Debugger] Log output: &"No symbol \"DataRead\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"DataRead\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype StartStream\n"
[Debugger] Log output: &"No symbol \"StartStream\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"StartStream\" in current context."
ERROR: detected state loop in ProcessExpression
[Debugger] Log output: &"ptype EndStream\n"
[TMainIDE.DoRunProject] A
[TMainIDE.DoRunProject] B TGDBMIDebugger
[TMainIDE.DoRunProject] END
[Debugger] Log output: &"No symbol \"EndStream\" in current context.\n"
TGDBMIDebugger.ProcessResult Error: ,msg="No symbol \"EndStream\" in current context."
ERROR: detected state loop in ProcessExpression
[DBGTGT] *
[DBGTGT] running,thread-id="all"
TGDBMIDebugger.ProcessResult Error: ,msg="No registers."
TApplication.HandleException Unknown Run-Time error : 210
  Stack trace:
  $00837995
  $0

2012-04-30 21:21

 

lazarus-debug-30.04.2012-22.05.56.801000-00000003.txt (5,129 bytes)
GNU gdb (GDB) 7.4
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
This binary was built by Equation Solution <http://www.Equation.com>.
Starting program: H:\new_free_pascal_and_lazarus\free_pascal_and_lazarus\lazarus\trunk\build\trunk_x32/lazarus.exe --debug-log=.\\lazarus-internal-debug-log-30.04.2012-22.05.56.801000-00000003.txt --primary-config-path=..\\lazconf-x32-PROG --no-splash-screen
[New Thread 4080.0xe3c]
[New Thread 4080.0xa70]
[New Thread 4080.0xd44]
[New Thread 4080.0x5f8]

Program received signal SIGSEGV, Segmentation fault.
0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
    this=<error reading variable>) at ./include/menuitem.inc:1063
1063	  if FChecked <> AValue then
#0  0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
    this=<error reading variable>) at ./include/menuitem.inc:1063
#1  0x004a0c72 in TMAINIDEBASE__UPDATEWINDOWMENU (IMMEDIATELY=true, 
    this=<error reading variable>) at mainbase.pas:1130
#2  0x0049062d in TMAINIDE__ONSCREENCHANGEDFORM (SENDER=0x1eeaa8, 
    FORM=0xe4e6578, this=<error reading variable>) at main.pp:17622
#3  0x00439bff in TSCREEN__NOTIFYSCREENFORMHANDLER (
    HANDLERTYPE=SNACTIVEFORMCHANGED, FORM=0xe4e6578, 
    this=<error reading variable>) at ./include/screen.inc:1063
#4  0x00439834 in NOTIFYONACTIVEFORMCHANGED (parentfp=0xb68e898)
    at ./include/screen.inc:961
#5  0x004396f0 in TSCREEN__UPDATELASTACTIVE (this=<error reading variable>)
    at ./include/screen.inc:982
#6  0x00434ee8 in TCUSTOMFORM__SETFOCUSEDCONTROL (CONTROL=0x101b6fd0, 
    this=<error reading variable>) at ./include/customform.inc:2425
#7  0x005d08ae in TWINCONTROL__WNDPROC (MESSAGE=..., 
    this=<error reading variable>) at ./include/wincontrol.inc:5217
#8  0x00a55a46 in TCUSTOMSYNEDIT__WNDPROC (MSG=..., 
    this=<error reading variable>) at synedit.pp:5500
#9  0x00659236 in DELIVERMESSAGE (TARGET=0x101b6fd0, AMESSAGE=void)
    at lclmessageglue.pas:117
#10 0x00580cc3 in WINDOWPROC (WINDOW=9439344, MSG=7, WPARAM=7604666, LPARAM=0)
    at ./win32/win32callback.inc:2428
#11 0x752862fa in USER32!OffsetRect () from C:\windows\syswow64\user32.dll
#12 0x00900870 in TEDITORCOLOROPTIONSFRAME__GENERALCHECKBOXONCHANGE (
    SENDER=0x57deb0, this=<error reading variable>)
    at ./frames/editor_color_options.pas:663
#13 0x75286d3a in USER32!IsWindow () from C:\windows\syswow64\user32.dll
#14 0x0057deb0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
    at ./win32/win32callback.inc:222
#15 0x75286de8 in USER32!IsWindow () from C:\windows\syswow64\user32.dll
#16 0x00000000 in ?? ()
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
    this=<error reading variable>) at ./include/menuitem.inc:1063
1063	  if FChecked <> AValue then
#0  0x0060eba8 in TMENUITEM__SETCHECKED (AVALUE=true, 
    this=<error reading variable>) at ./include/menuitem.inc:1063
#1  0x004a0c72 in TMAINIDEBASE__UPDATEWINDOWMENU (IMMEDIATELY=true, 
    this=<error reading variable>) at mainbase.pas:1130
#2  0x0049062d in TMAINIDE__ONSCREENCHANGEDFORM (SENDER=0x1eeaa8, 
    FORM=0xe4e6578, this=<error reading variable>) at main.pp:17622
#3  0x00439bff in TSCREEN__NOTIFYSCREENFORMHANDLER (
    HANDLERTYPE=SNACTIVEFORMCHANGED, FORM=0xe4e6578, 
    this=<error reading variable>) at ./include/screen.inc:1063
#4  0x00439834 in NOTIFYONACTIVEFORMCHANGED (parentfp=0xb68e898)
    at ./include/screen.inc:961
#5  0x004396f0 in TSCREEN__UPDATELASTACTIVE (this=<error reading variable>)
    at ./include/screen.inc:982
#6  0x00434ee8 in TCUSTOMFORM__SETFOCUSEDCONTROL (CONTROL=0x101b6fd0, 
    this=<error reading variable>) at ./include/customform.inc:2425
#7  0x005d08ae in TWINCONTROL__WNDPROC (MESSAGE=..., 
    this=<error reading variable>) at ./include/wincontrol.inc:5217
#8  0x00a55a46 in TCUSTOMSYNEDIT__WNDPROC (MSG=..., 
    this=<error reading variable>) at synedit.pp:5500
#9  0x00659236 in DELIVERMESSAGE (TARGET=0x101b6fd0, AMESSAGE=void)
    at lclmessageglue.pas:117
#10 0x00580cc3 in WINDOWPROC (WINDOW=9439344, MSG=7, WPARAM=7604666, LPARAM=0)
    at ./win32/win32callback.inc:2428
#11 0x752862fa in USER32!OffsetRect () from C:\windows\syswow64\user32.dll
#12 0x00900870 in TEDITORCOLOROPTIONSFRAME__GENERALCHECKBOXONCHANGE (
    SENDER=0x57deb0, this=<error reading variable>)
    at ./frames/editor_color_options.pas:663
#13 0x75286d3a in USER32!IsWindow () from C:\windows\syswow64\user32.dll
#14 0x0057deb0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
    at ./win32/win32callback.inc:222
#15 0x75286de8 in USER32!IsWindow () from C:\windows\syswow64\user32.dll
#16 0x00000000 in ?? ()
Kill the program being debugged? (y or n) 

Martin Friebe

2012-04-30 22:31

manager   ~0059146

You mean the IDE itself crashes. Not the application that is currently debugged? (Just to be sure, the stackrace clearly says so too)

You are using a snapshot. Can you start the IDE with
--debug-log=C:\log.txt
--debug-enable=DBG_CMD_ECHO,DBG_STATE,DBG_DATA_MONITORS,DBGMI_QUEUE_DEBUG,DBGMI_TYPE_INFO,DBG_EVENTS

http://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Log_info_for_debug_session

Any other info on how to reproduce?

- What version of GDB?
- Happens when first time debuuging (since Lazarus was started / Project opened)
- Happens only on 2nd , or later debug session?
  (the attached log looks like a 2nd or later)


- Maybe happening when stepping F7/F8
- Or when a breakpoint is reached
- When app is continued (F9)
- Or when the app
- Breakpoint is set,removed,changed?
 Maybe while app is running OR while app is paused?

Martin Friebe

2012-04-30 22:56

manager   ~0059147

Ok, I can reproduce it.
- In order to improve chances to hit it, it is good to have many watches (10 or more)
- Have the watch window *closed* (may not be needed, but I used this
- Run the project, and wait for a breakpoint to be hit

Within very short time (within a second or maybe 2) of hitting the breakpoint, reset the debugger.

Either via the entry in the "run" menu, or by changing to another project

Martin Friebe

2012-04-30 23:26

manager   ~0059149

Please test and close if ok.

Feedback only required, if issue still happens after rev 37116

Cyrax

2012-04-30 23:32

reporter   ~0059150

>You mean the IDE itself crashes. Not the application that is currently debugged? (Just to be sure, the stackrace clearly says so too)

Yes, only IDE. Right after I close "Execution stopped" dialog, that runtime error dialog pops out. If I press Cancel in that error dialog, Windows itself shows "Lazarus IDE has stopped working" dialog.

> - What version of GDB?

GDB 7.4 from http://www.equation.com/

Cyrax

2012-04-30 23:34

reporter   ~0059151

Oh, that was fast. :)

Will report back when I do full build of Lazarus/FPC.

Issue History

Date Modified Username Field Change
2012-04-30 21:20 Cyrax New Issue
2012-04-30 21:20 Cyrax File Added: lazarus-internal-debug-log-30.04.2012-22.05.56.801000-00000003.txt
2012-04-30 21:20 Cyrax Widgetset => Win32/Win64
2012-04-30 21:21 Cyrax File Added: lazarus-debug-30.04.2012-22.05.56.801000-00000003.txt
2012-04-30 22:31 Martin Friebe LazTarget => -
2012-04-30 22:31 Martin Friebe Note Added: 0059146
2012-04-30 22:31 Martin Friebe Assigned To => Martin Friebe
2012-04-30 22:31 Martin Friebe Status new => feedback
2012-04-30 22:56 Martin Friebe Note Added: 0059147
2012-04-30 23:26 Martin Friebe Fixed in Revision => 37116
2012-04-30 23:26 Martin Friebe LazTarget - => 1.0
2012-04-30 23:26 Martin Friebe Widgetset Win32/Win64 =>
2012-04-30 23:26 Martin Friebe Status feedback => resolved
2012-04-30 23:26 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-04-30 23:26 Martin Friebe Resolution open => fixed
2012-04-30 23:26 Martin Friebe Note Added: 0059149
2012-04-30 23:26 Martin Friebe Target Version => 1.0.0
2012-04-30 23:32 Cyrax Note Added: 0059150
2012-04-30 23:34 Cyrax Note Added: 0059151
2012-09-14 00:40 Cyrax Status resolved => closed